<?
		$qpersonal = mysql_query($queryinicial) or die ($queryinicial.':>'.mysql_error());
		while ($rowp = mysql_fetch_array($qpersonal)) {
			if ($_POST['tipoproceso']==1) $query="select * from concepto  where id='".$_SESSION['id_validar']."' and acumula='NO' order by codigo";
			else $query="select * from concepto  where id='".$_SESSION['id_validar']."' order by codigo";
			$qconcepto = mysql_query($query) or die ($query);

			while ($rowc = mysql_fetch_array($qconcepto)) {
				$caracter=$rowc['formula'];
				$monto = 0;
				$entro = 0;
				$entrodigito = 0;
				$entrooperando = 0;
				$cantidad = 0;
				$saldo = 0;
				$operacion='';
				$digito='';
				for ($x=0;$x<strlen($caracter);$x++) {	

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
					switch($caracter[$x]) {
						case 'C':
							$query="select * from concepto where id='".$_SESSION['id_validar']."' and codigo = '".substr($caracter,$x+1,4)."'";
							$qconcep1 = mysql_query($query) or die ($query);
							$nconcep1 = mysql_num_rows($qconcep1);
							if ($nconcep1!=0) {
								$rowconcep1 = mysql_fetch_array($qconcep1);
								$caracter1=$rowconcep1['formula'];
								$monto1 = 0;
								$entro1 = 0;
								$entrodigito1 = 0;
								$entrooperando1 = 0;
								$cantidad1 = 0;
								$operacion1='';
								$digito1='';
								// ================================================   VALIDACION CONCEPTO 1
								for ($x1=0;$x1<strlen($caracter1);$x1++) {	
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
									switch($caracter1[$x1]) {
										case 'C':
											$query="select * from concepto where id='".$_SESSION['id_validar']."' and codigo = '".substr($caracter1,$x1+1,4)."'";
											$qconcep2 = mysql_query($query) or die ($query);
											$nconcep2 = mysql_num_rows($qconcep2);
											if ($nconcep2!=0) {
												$rowconcep2 = mysql_fetch_array($qconcep2);
												$caracter2=$rowconcep1['formula'];
												$monto2 = 0;
												$entro2 = 0;
												$entrodigito2 = 0;
												$entrooperando2 = 0;
												$cantidad2 = 0;
												$operacion2='';
												$digito2='';
												// ====================================================   VALIDACION CONCEPTO 2
												for ($x2=0;$x2<strlen($caracter2);$x2++) {	
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
													switch($caracter2[$x2]) {
														case 'C':
															$lmonto2 = 0;
															if ($entrooperando2) {
																switch($operacion2) {
																	case '+':$monto2 = $monto2 + $lmonto2;break;
																	case '-':$monto2 = $monto2 - $lmonto2;break;
																	case '*':$monto2 = $monto2 * $lmonto2;break;
																	case '/':$monto2 = $monto2 / $lmonto2;break;
																} // fin de operaciones
																$entrooperando2=0;
															} else $monto2 = $lmonto2;
															$cantidad2=$lmonto2;
															$x2 = $x2 + 4;
															break;
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case 'F':
															$lmonto2=0;
															if (substr($caracter2,$x2+1,4)=='9000') $lmonto2=$duti;
															if (substr($caracter2,$x2+1,4)=='8000') $lmonto2=$lunes;
															if (substr($caracter2,$x2+1,4)=='1000') $lmonto2=$rowp['smes'];
															if (substr($caracter2,$x2+1,4)=='2000') $lmonto2=$rowp['sdia'];
															if (substr($caracter2,$x2+1,4)=='3000') {
																$afn=substr($rowp['fechan'],0,4);	
																$mfn=substr($rowp['fechan'],5,2);	
																$a=date ("Y");
																$m=date ("n");
																if ($m-$mfn<0) $lmonto2 = ($a-$afn-1);
																else $lmonto2 = ($a-$afn);
															}
															if (substr($caracter2,$x2+1,4)=='4000') $lmonto2=$rowp['hijo'];
															if (substr($caracter2,$x2+1,4)=='5000') $lmonto2=($rowp['sexo']=='F'?1:2);
															if (substr($caracter2,$x2+1,4)=='6000') $lmonto2=$rowp['gsanguineo'];
															if (substr($caracter2,$x2+1,4)=='7000') {
																$afn=substr($rowp['fechai'],0,4);	
																$mfn=substr($rowp['fechai'],5,2);	
																$a=date ("Y");
																if ($_POST['tipoproceso']==1) {
																	$m=date ("n");
																	if ($m-$mfn<0) $lmonto2 = ($a-$afn-1)*12 + ($m-$mfn+12);
																	else $lmonto2 = ($a-$afn)*12 + ($m-$mfn);
																} else {	
																	if ($a-$afn>0) $lmonto2 = 12;
																	else $lmonto2 = 12-$mfn;
																}	
															}
															if ($entrooperando2) {
																switch($operacion2) {
																	case '+':$monto2 = $monto2 + $lmonto2;break;
																	case '-':$monto2 = $monto2 - $lmonto2;break;
																	case '*':$monto2 = $monto2 * $lmonto2;break;
																	case '/':$monto2 = $monto2 / $lmonto2;break;
																} // fin de operaciones
																$entrooperando2=0;
															} else $monto2 = $lmonto2;
															$cantidad2=$lmonto2;
															$x2 = $x2 + 4;
															break;
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case 'T':
															$query="select * from constante_individual where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' and codigo = '".substr($caracter2,$x2+1,4)."'";
															$qconstante = mysql_query($query) or die ($query);
															$nconstante = mysql_num_rows($qconstante);
															if ($nconstante!=0) {
																$rowt = mysql_fetch_array($qconstante);
																$lmonto2 = $rowt['monto'];
															} else $lmonto2 = 0;
															if ($entrooperando2) {
																switch($operacion2) {
																	case '+':$monto2 = $monto2 + $lmonto2;break;
																	case '-':$monto2 = $monto2 - $lmonto2;break;
																	case '*':$monto2 = $monto2 * $lmonto2;break;
																	case '/':$monto2 = $monto2 / $lmonto2;break;
																} // fin de operaciones
																$entrooperando2=0;
															} else $monto2 = $lmonto2;
															$cantidad2=$lmonto2;
															$x2 = $x2 + 4;
															break;
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case '+':
															if ($entrodigito2) {
																if ($entrooperando2) {
																	switch($operacion2) {
																		case '+':$monto2 = $monto2 + ($digito2+0);break;
																		case '-':$monto2 = $monto2 - ($digito2+0);break;
																		case '*':$monto2 = $monto2 * ($digito2+0);break;
																		case '/':$monto2 = $monto2 / ($digito2+0);break;
																	} // fin de operaciones
																	$entrooperando2=0;
																} else $monto2 = ($digito2+0);	
																$entrodigito2=0;
																$digito2='';
															}
															$entrooperando2=1;	
															$operacion2='+';break; 
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case '-': 
															if ($entrodigito2) {
																if ($entrooperando2) {
																	switch($operacion2) {
																		case '+':$monto2 = $monto2 + ($digito2+0);break;
																		case '-':$monto2 = $monto2 - ($digito2+0);break;
																		case '*':$monto2 = $monto2 * ($digito2+0);break;
																		case '/':$monto2 = $monto2 / ($digito2+0);break;
																	} // fin de operaciones
																	$entrooperando2=0;
																} else $monto2 = ($digito2+0);	
																$digito2='';
																$entrodigito2=0;
															}
															$entrooperando2=1;	
															$operacion2='-';break; 
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case '*':
															if ($entrodigito2) {
																if ($entrooperando2) {
																	switch($operacion2) {
																		case '+':$monto2 = $monto2 + ($digito2+0);break;
																		case '-':$monto2 = $monto2 - ($digito2+0);break;
																		case '*':$monto2 = $monto2 * ($digito2+0);break;
																		case '/':$monto2 = $monto2 / ($digito2+0);break;
																	} // fin de operaciones
																	$entrooperando2=0;
																} else $monto2 = ($digito2+0);	
																$digito2='';
																$entrodigito2=0;
															}
															$entrooperando2=1;	
															$operacion2='*';break; 
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														case '/':
															if ($entrodigito2) {
																if ($entrooperando2) {
																	switch($operacion2) {
																		case '+':$monto2 = $monto2 + ($digito2+0);break;
																		case '-':$monto2 = $monto2 - ($digito2+0);break;
																		case '*':$monto2 = $monto2 * ($digito2+0);break;
																		case '/':$monto2 = $monto2 / ($digito2+0);break;
																	} // fin de operaciones
																	$entrooperando2=0;
																} else $monto2 = ($digito2+0);
																$digito2='';
																$entrodigito2=0;
															}
															$entrooperando2=1;	
															$operacion2='/';break; 
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
				//oooooooooooooooooooooooooooooooooooooooooooooooooooo TERCER CICLO DE VALIDACION  oooooooooooooooooooooooooooooooooooooooooo
				//ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo
														default:
															$digito2 = $digito2 . $caracter2[$x2];
															$entrodigito2 = 1;	
															break;
													} // fin de ciclo swith de caracter				
												} // fin de ciclo de for de formula
												// grabar registro al trabajador
												if ($digito2!="") { 
													if ($entrooperando2) {
														switch($operacion2) {
															case '+':$monto2 = $monto2 + ($digito2+0);break;
															case '-':$monto2 = $monto2 - ($digito2+0);break;
															case '*':$monto2 = $monto2 * ($digito2+0);break;
															case '/':$monto2 = $monto2 / ($digito2+0);break;
														} // fin de operaciones
														$entrooperando2=0;
													} else $monto2 = ($digito2+0);
												}
												$lmonto1=$monto2;
											// ===========================================================   FIN VALIDACION 3 REPETICION
											
											} else $lmonto1 = 0;

											if ($entrooperando1) {
												switch($operacion1) {
													case '+':$monto1 = $monto1 + $lmonto1;break;
													case '-':$monto1 = $monto1 - $lmonto1;break;
													case '*':$monto1 = $monto1 * $lmonto1;break;
													case '/':$monto1 = $monto1 / $lmonto1;break;
												} // fin de operaciones
												$entrooperando1=0;
											} else $monto1 = $lmonto1;
											$cantidad1=$lmonto1;
											$x1 = $x1 + 4;
											break;
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case 'F':
											$lmonto1=0;
											if (substr($caracter1,$x1+1,4)=='9000') $lmonto1=$duti;
											if (substr($caracter1,$x1+1,4)=='8000') $lmonto1=$lunes;
											if (substr($caracter1,$x1+1,4)=='1000') $lmonto1=$rowp['smes'];
											if (substr($caracter1,$x1+1,4)=='2000') $lmonto1=$rowp['sdia'];
											if (substr($caracter1,$x1+1,4)=='3000') {
												$afn=substr($rowp['fechan'],0,4);	
												$mfn=substr($rowp['fechan'],5,2);	
												$a=date ("Y");
												$m=date ("n");
												if ($m-$mfn<0) $lmonto1 = ($a-$afn-1);
												else $lmonto1 = ($a-$afn);
											}
											if (substr($caracter1,$x1+1,4)=='4000') $lmonto1=$rowp['hijo'];
											if (substr($caracter1,$x1+1,4)=='5000') $lmonto1=($rowp['sexo']=='F'?1:2);
											if (substr($caracter1,$x1+1,4)=='6000') $lmonto1=$rowp['gsanguineo'];
											if (substr($caracter1,$x1+1,4)=='7000') {
												$afn=substr($rowp['fechai'],0,4);	
												$mfn=substr($rowp['fechai'],5,2);	
												$a=date ("Y");
												if ($_POST['tipoproceso']==1) {
													$m=date ("n");
													if ($m-$mfn<0) $lmonto1 = ($a-$afn-1)*12 + ($m-$mfn+12);
													else $lmonto1 = ($a-$afn)*12 + ($m-$mfn);
												} else {	
													if ($a-$afn>0) $lmonto1 = 12;
													else $lmonto1 = 12-$mfn;
												}	
											}
											if ($entrooperando1) {
												switch($operacion1) {
													case '+':$monto1 = $monto1 + $lmonto1;break;
													case '-':$monto1 = $monto1 - $lmonto1;break;
													case '*':$monto1 = $monto1 * $lmonto1;break;
													case '/':$monto1 = $monto1 / $lmonto1;break;
												} // fin de operaciones
												$entrooperando1=0;
											} else $monto1 = $lmonto1;
											$cantidad1=$lmonto1;
											$x1 = $x1 + 4;
											break;
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case 'T':
											$query="select * from constante_individual where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' and codigo = '".substr($caracter1,$x1+1,4)."'";
											$qconstante = mysql_query($query) or die ($query);
											$nconstante = mysql_num_rows($qconstante);
											if ($nconstante!=0) {
												$rowt = mysql_fetch_array($qconstante);
												$lmonto1 = $rowt['monto'];
											} else $lmonto1 = 0;
											if ($entrooperando1) {
												switch($operacion1) {
													case '+':$monto1 = $monto1 + $lmonto1;break;
													case '-':$monto1 = $monto1 - $lmonto1;break;
													case '*':$monto1 = $monto1 * $lmonto1;break;
													case '/':$monto1 = $monto1 / $lmonto1;break;
												} // fin de operaciones
												$entrooperando1=0;
											} else $monto1 = $lmonto1;
											$cantidad1=$lmonto1;
											$x1 = $x1 + 4;
											break;
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case '+':
											if ($entrodigito1) {
												if ($entrooperando1) {
													switch($operacion1) {
														case '+':$monto1 = $monto1 + ($digito1+0);break;
														case '-':$monto1 = $monto1 - ($digito1+0);break;
														case '*':$monto1 = $monto1 * ($digito1+0);break;
														case '/':$monto1 = $monto1 / ($digito1+0);break;
													} // fin de operaciones
													$entrooperando1=0;
												} else $monto1 = ($digito1+0);	
												$digito1='';
												$entrodigito1=0;
											}
											$entrooperando1=1;	
											$operacion1='+';break; 
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case '-': 
											if ($entrodigito1) {
												if ($entrooperando1) {
													switch($operacion1) {
														case '+':$monto1 = $monto1 + ($digito1+0);break;
														case '-':$monto1 = $monto1 - ($digito1+0);break;
														case '*':$monto1 = $monto1 * ($digito1+0);break;
														case '/':$monto1 = $monto1 / ($digito1+0);break;
													} // fin de operaciones
													$entrooperando1=0;
												} else $monto1 = ($digito1+0);	
												$entrodigito1=0;
												$digito1='';
											}
											$entrooperando1=1;	
											$operacion1='-';break; 
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case '*':
											if ($entrodigito1) {
												if ($entrooperando1) {
													switch($operacion1) {
														case '+':$monto1 = $monto1 + ($digito1+0);break;
														case '-':$monto1 = $monto1 - ($digito1+0);break;
														case '*':$monto1 = $monto1 * ($digito1+0);break;
														case '/':$monto1 = $monto1 / ($digito1+0);break;
													} // fin de operaciones
													$entrooperando1=0;
												} else $monto1 = ($digito1+0);	
												$entrodigito1=0;
												$digito1='';
											}
											$entrooperando1=1;	
											$operacion1='*';break; 
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										case '/':
											if ($entrodigito1) {
												if ($entrooperando1) {
													switch($operacion1) {
														case '+':$monto1 = $monto1 + ($digito1+0);break;
														case '-':$monto1 = $monto1 - ($digito1+0);break;
														case '*':$monto1 = $monto1 * ($digito1+0);break;
														case '/':$monto1 = $monto1 / ($digito1+0);break;
													} // fin de operaciones
													$entrooperando1=0;
												} else $monto1 = ($digito1+0);
												$entrodigito1=0;
												$digito1='';
											}
											$entrooperando1=1;	
											$operacion1='/';break; 
		//------------------------------------------------------------------------------------------------------------------------------------
		//---------------------------------------------------- SEGUNDO CICLO DE VALIDACION----------------------------------------------------
		//------------------------------------------------------------------------------------------------------------------------------------
										default:
											$digito1 = $digito1 . $caracter1[$x1];
											$entrodigito1 = 1;	
											break;
									} // fin de ciclo swith de caracter				
								} // fin de ciclo de for de formula
								// grabar registro al trabajador
								if ($digito1!="") { 
									if ($entrooperando1) {
										switch($operacion1) {
											case '+':$monto1 = $monto1 + ($digito1+0);break;
											case '-':$monto1 = $monto1 - ($digito1+0);break;
											case '*':$monto1 = $monto1 * ($digito1+0);break;
											case '/':$monto1 = $monto1 / ($digito1+0);break;
										} // fin de operaciones
										$entrooperando1=0;
									} else $monto1 = ($digito1+0);
								}
								$lmonto=$monto1;
								// ========================================================   VALIDACION CONCEPTO 2 REPETICION

							} else $lmonto = 0;

							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
								$entrooperando=0;
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'F':
							$lmonto=0;
							if (substr($caracter,$x+1,4)=='9000') $lmonto=$duti;
							if (substr($caracter,$x+1,4)=='8000') $lmonto=$lunes;
							if (substr($caracter,$x+1,4)=='1000') $lmonto=$rowp['smes'];
							if (substr($caracter,$x+1,4)=='2000') $lmonto=$rowp['sdia'];
							if (substr($caracter,$x+1,4)=='3000') {
								$afn=substr($rowp['fechan'],0,4);	
								$mfn=substr($rowp['fechan'],5,2);	
								$a=date ("Y");
								$m=date ("n");
								if ($m-$mfn<0) $lmonto = ($a-$afn-1);
								else $lmonto = ($a-$afn);
							}
							if (substr($caracter,$x+1,4)=='4000') $lmonto=$rowp['hijo'];
							if (substr($caracter,$x+1,4)=='5000') $lmonto=($rowp['sexo']=='F'?1:2);
							if (substr($caracter,$x+1,4)=='6000') $lmonto=$rowp['gsanguineo'];
							if (substr($caracter,$x+1,4)=='7000') {
								$afn=substr($rowp['fechai'],0,4);	
								$mfn=substr($rowp['fechai'],5,2);	
								$a=date ("Y");
								if ($_POST['tipoproceso']==1) {
									$m=date ("n");
									if ($m-$mfn<0) $lmonto = ($a-$afn-1)*12 + ($m-$mfn+12);
									else $lmonto = ($a-$afn)*12 + ($m-$mfn);
								} else {	
									if ($a-$afn>0) $lmonto = 12;
									else $lmonto = 12-$mfn;
								}	
							}
							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
								$entrooperando=0;
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case 'T':
							$query="select * from constante_individual where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' and codigo = '".substr($caracter,$x+1,4)."'";
							$qconstante = mysql_query($query) or die ($query);
							$nconstante = mysql_num_rows($qconstante);
							if ($nconstante!=0) {
								$rowt = mysql_fetch_array($qconstante);
								$lmonto = $rowt['monto'];
							} else $lmonto = 0;
							if ($entrooperando) {
								switch($operacion) {
									case '+':$monto = $monto + $lmonto;break;
									case '-':$monto = $monto - $lmonto;break;
									case '*':$monto = $monto * $lmonto;break;
									case '/':$monto = $monto / $lmonto;break;
								} // fin de operaciones
								$entrooperando=0;
							} else $monto = $lmonto;
							$cantidad=$lmonto;
							$x = $x + 4;
							break;
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '+':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$digito='';
								$entrodigito=0;
							}
							$entrooperando=1;	
							$operacion='+';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '-': 
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$entrodigito=0;
								$digito='';
							}
							$entrooperando=1;	
							$operacion='-';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '*':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);	
								$digito='';
								$entrodigito=0;
							}
							$entrooperando=1;	
							$operacion='*';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						case '/':
							if ($entrodigito) {
								if ($entrooperando) {
									switch($operacion) {
										case '+':$monto = $monto + ($digito+0);break;
										case '-':$monto = $monto - ($digito+0);break;
										case '*':$monto = $monto * ($digito+0);break;
										case '/':$monto = $monto / ($digito+0);break;
									} // fin de operaciones
								} else $monto = ($digito+0);
								$digito='';
								$entrodigito=0;
							}
							$entrooperando=1;	
							$operacion='/';break; 
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////// PRIMER CICLO DE VALIDACION ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
						default:
							$digito = $digito . $caracter[$x];
							$entrodigito = 1;	
							break;
					} // fin de ciclo swith de caracter				
				} // fin de ciclo de for de formula
				// grabar registro al trabajador
				if ($digito!="") { 
					if ($entrooperando) {
						switch($operacion) {
							case '+':$monto = $monto + ($digito+0);break;
							case '-':$monto = $monto - ($digito+0);break;
							case '*':$monto = $monto * ($digito+0);break;
							case '/':$monto = $monto / ($digito+0);break;
						} // fin de operaciones
					} else $monto = ($digito+0);
				}
				$query ="insert into $payroll (cedula,concepto, desconcepto,monto, cantidad,tipo, saldo, nomina,desnomina,periodo,desperiodo) ";		
				$query .=" value ('".$rowp['codigo']."','".$rowc['codigo']."','".$rowc['detalle']."','".$monto."','".$cantidad."','".$rowc['tipo']."',0,'".$nomina."','".$desnomina."','".$periodo."','".$desperiodo."')";
				$rpayroll = mysql_query($query) or die ($query.':>'.mysql_error());
			} // fin de ciclo de concepto

			if ($_POST['tipoproceso']==1) {
				if ($cortededu!=1) {
					// grabar deducciones/asignaciones automaticas
					$query="select * from prestamo where id='".$_SESSION['id_validar']."' and cedula='".$rowp['codigo']."' and saldo > 0 and interes <> 1";
					$qprestamo = mysql_query($query) or die ($query);
					while ($rowpre=mysql_fetch_array($qprestamo)) {
						$monto = ($rowpre['saldo']-$rowpre['cuota'])<0?$rowpre['saldo']:$rowpre['cuota'];
						$saldo = $rowpre['saldo']-$monto;
						$cantidad=1;
						$concepto=($rowpre['tipo']=='D'?'DEDU':'ASIG');
						$desconcepto=$rowpre['detalle'];
						$query ="insert into $payroll (cedula,concepto,desconcepto,monto,cantidad,tipo,saldo,nomina,desnomina,periodo,desperiodo) ";		
						$query .=" value ('".$rowp['codigo']."','".$concepto."','".$desconcepto."','".$monto."','".$cantidad."','".$rowpre['tipo']."','".$saldo."','".$nomina."','".$desnomina."','".$periodo."','".$desperiodo."')";
						$rpayroll = mysql_query($query) or die ($query.':>'.mysql_error());
					} // fin ciclo de prestamos	
				} // cortededu
			} // tipo de proceso 	
		} // fin de ciclo del personal		
?>